#
#  YKLook... GUI Library, catalogue (for Ruby)
#
#  Copyright (c) 2009-2010 YorozuKotowariYa Ltd.
#
class YKLookMain
	def yki_cat_message()
		return { }
	end
	def yks_param()
		if yk_is_far()
			return yks_param_make( '<param name=', ' value="', "\">\n" )
		end
		return yks_param_make( '', '=', "\n" )
	end
	def yks_param_make( prm_lead, prm_joint, prm_trail )
		buf = []
		begin
			hash = yki_cat_message()
			if not hash.kind_of?(Hash)
				raise YKLookErrorMain, 'retIllObj'
			end
			hash.each() do |key,val|
				if not key.index(/\AYKLook_/)
					raise YKLookErrorMain, 'illNameFmt'
				end
				buf << prm_lead << key << prm_joint <<
					YKLookMain.yks_encode_string( val ) << prm_trail
			end
		rescue => ex
			yks_user_error( ex, 'yki_cat_message' )
		end
		return buf.join(nil)
	end
end

#end
